<!DOCTYPE html>
<html>
  <head>
    {% block style %}
    {% endblock %}
    <style>
      body {
        font-family: arial, sans-serif;
      }
      .bg-grey {
        background-color: #c0c0c0;
        -webkit-print-color-adjust: exact;
      }
      .bg-grey-light {
        background-color: #f5f5f5;
        -webkit-print-color-adjust: exact;
      }
      .text-n {
        color: #ccb71c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-p {
        color: #cc5f1c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-k {
        color: #88cc1c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-grey {
        color: #9e9e9e;
        -webkit-print-color-adjust: exact;
      }
      .text-bold {
        font-weight: 600;
      }
      table {
        border-collapse: collapse;
        width: 100%;
      }
      td, th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
      }
    </style>
  </head>
  <body>
    <div id="content">
      {% for fertilization_plan in fertilization_plans %}
        <div style="page-break-after: always;">
          <h1 style="margin-top: 0px;">{{ fertilization_plan.fertilization_plan_name }}</h1>
          <p>{{ fertilization_plan.holding_name }} ({{ fertilization_plan.campaign_name }})</p>
          <table>
            <tr>
              <th>
                Algorithmus
              </th>
              <th>
                Datum, an dem der Plan aktualisiert wurde
              </th>
              <th>
                Datum der Erstellung des Berichts
              </th>
            </tr>
            <tr>
              <td>
                <div style="display: flex; flex-wrap: nowrap; align-items: center;">
                  <div style="display: flex; align-items: center;">
                    <div style="width: 25px; height: auto;">{{ algorithm_logo|safe }}</div>
                    <div style="margin-left: 8px;">Requaferti</div>
                  </div>
                </div>
              </td>
              <td>
                {{ fertilization_plan.fertilization_plan_date|datetimeformat("%Y-%m-%d %H:%M:%S", "%Y-%m-%dT%H:%M:%S.%f%z", "UTC") }}
              </td>
              <td>
                {{ current_date_time|datetimeformat("%Y-%m-%d %H:%M:%S", "%Y-%m-%dT%H:%M:%S.%f%z", "UTC") }}
              </td>
            </tr>
          </table>
          
          {% if fertilization_plan.recommendations_by_plot %}
            {% for plot_id, plot_recommendation in fertilization_plan.recommendations_by_plot.items() %}
              <h3 style="padding-top: 16px;">{{ plot_recommendation.plot_name }}</h3>
              {% if plot_recommendation.plot_preview %}
              <div style="width: 100%; max-height: 350px;">
                {{ plot_recommendation.plot_preview|safe }}
              </div>
              {% endif %}
              {% for recommendation in plot_recommendation.recommendations %}
                <p style="margin-top: 2em;">
                  <span style="text-transform: uppercase;">
                    {{ recommendation.plant_species_name }}{% if recommendation.plant_species_profile_name %} - {{ recommendation.plant_species_profile_name }}{% endif %}
                  </span>
                  {% if not recommendation.crop_yield is none %}
                    <span>
                      &nbsp; {{ recommendation.crop_yield }} {{ recommendation.crop_yield_unit }}
                    </span>
                  {% endif %}
                </p>
                <table style="margin-top: 1em;">
                  <tr>
                    <th colspan="3" style="text-align: center; font-size: 1.15em;">
                      Empfehlungen
                    </th>
                  </tr>
                  <tr>
                    {% for element_recommendation in recommendation.element_recommendations %}
                      {% if element_recommendation.result_type|upper == 'PLANT_NEEDS' %}
                        <th>Bedürfnisse</th>
                      {% endif %}
                      {% if element_recommendation.result_type|upper == 'PLANT_SUPPLIES' %}
                        <th>Lieferungen</th>
                      {% endif %}
                      {% if element_recommendation.result_type|upper == 'RECOMMENDATION' %}
                        <th>Dünger</th>
                      {% endif %}
                    {% endfor %}
                  </tr>
                  <tr>
                    {% for element_recommendation in recommendation.element_recommendations %}
                      {% if element_recommendation.result_type|upper == 'PLANT_NEEDS' %}
                        <td>{{ element_recommendation.quantity }} {{ element_recommendation.quantity_unit_of_measure_symbol }}</td>
                      {% endif %}
                      {% if element_recommendation.result_type|upper == 'PLANT_SUPPLIES' %}
                        <td>{{ element_recommendation.quantity }} {{ element_recommendation.quantity_unit_of_measure_symbol }}</td>
                      {% endif %}
                      {% if element_recommendation.result_type|upper == 'RECOMMENDATION' %}
                        <td><span class="text-bold">{{ element_recommendation.quantity }} {{ element_recommendation.quantity_unit_of_measure_symbol }}</span></td>
                      {% endif %}
                    {% endfor %}
                  </tr>
                </table>
                {% if not loop.last %}
                  <hr style="margin-top: 24px; margin-bottom: 24px;" />
                {% endif %}
              {% endfor %}
            {% endfor %}
          {% endif %}
          
          {% if fertilization_plan.parameters %}
          <div style="padding-top: 2em;">
            <table>
              <tr>
                <th colspan="2" style="text-align: center; font-size: 1.15em;">
                  Parameter des Düngeplans
                </th>
              </tr>              
              
              <tr>
                <td>Kultur</td>
                {% if not fertilization_plan.parameters.plantSpecies.i18n.name is none %}
                <td>{{ fertilization_plan.parameters.plantSpecies.i18n.name_de }}</td>
                {% else %}
                <td>{{ fertilization_plan.parameters.plantSpecies.name }}</td>
                {% endif %}
              </tr>
              <tr>
                <td>Profil der Kultur</td>
                <td>{{ fertilization_plan.parameters.cropProfile.libelle_de }}</td>
              </tr>
              {% if fertilization_plan.parameters.cropTargetYieldUnit %}
              <tr>
                <td>Ziel der Rendite</td>
                <td>{{ fertilization_plan.parameters.cropTargetYield }} {{ fertilization_plan.parameters.cropTargetYieldUnit }}</td>
              </tr>
              {% endif %}              
              {% if fertilization_plan.parameters.cropVegetationStage %}
                <tr>
                  <td>Vegetationsstadium</td>
                  <td>{{ fertilization_plan.parameters.cropVegetationStage.libelle_de }}</td>
                </tr>
              {% endif %}
              {% if fertilization_plan.parameters.cropSpinachHeight %}
                <tr>
                  <td>Höhe des Spinats</td>
                  <td>{{ fertilization_plan.parameters.cropSpinachHeight.libelle_de }}</td>
                </tr>
              {% endif %}              
              {% if fertilization_plan.parameters.cropColzaCoverage %}
                <tr>
                  <td>Bedeckung von Raps</td>
                  <td>{{ fertilization_plan.parameters.cropColzaCoverage.libelle_de }}</td>
                </tr>
              {% endif %}
              {% if not fertilization_plan.parameters.cropColzaCoverageCustom is none %}
                <tr>
                  <td>Überlappung von Raps (benutzerdefinierter Wert)</td>
                  <td>{{ fertilization_plan.parameters.cropColzaCoverageCustom  }} kg N/ha</td>
                </tr>
              {% endif %}

              {% if fertilization_plan.parameters.soilSampleDate %}
                <tr>
                  <td>Datum der Bodenanalyse</td>
                  <td>{{ fertilization_plan.parameters.soilSampleDate|datetimeformat("%Y-%m-%d", "%Y-%m-%dT%H:%M:%S.%f%z", "UTC") }}</td>
                </tr>
              {% endif %}
              <tr>
                <td>NNO3-Profil</td>
                <td>{{ fertilization_plan.parameters.soilNNO3Profile }} kg N/ha</td>
              </tr>
              <tr>
                <td>NNH4-Profil</td>
                <td>{{ fertilization_plan.parameters.soilNNH4Profile }} kg N/ha</td>
              </tr>
              <tr>
                <td>Rest N</td>
                <td>{{ fertilization_plan.parameters.soilResidualN }} kg N/ha</td>
              </tr>
              {% if not fertilization_plan.parameters.soilOrganicMatterContent is none %}
              <tr>
                <td>Gehalt an organischer Substanz</td>
                <td>{{ fertilization_plan.parameters.soilOrganicMatterContent }} %</td>
              </tr>
              {% endif %}
              {% if not fertilization_plan.parameters.soilCarbonContent is none %}
              <tr>
                <td>Kohlenstoffgehalt</td>
                <td>{{ fertilization_plan.parameters.soilCarbonContent }} %</td>
              </tr>
              {% endif %}  
              {% if not fertilization_plan.parameters.soilNHumus is none %}
              <tr>
                <td>N Humus</td>
                <td>{{ fertilization_plan.parameters.soilNHumus }} g/kg</td>
              </tr>
              {% endif %}                                            
              <tr>
                <td>Tongehalt</td>
                <td>{{ fertilization_plan.parameters.soilClayContent }} %</td>
              </tr>                                         
              <tr>
                <td>Kalkgehalt</td>
                <td>{{ fertilization_plan.parameters.soilCalciumContent }} %</td>
              </tr> 
              <tr>
                <td>Sind die Bodenverhältnisse ungünstig?</td>
                <td>{{ 'Ja' if fertilization_plan.parameters.soilConditionsAreUnfavorable else 'Keine' }}</td>
              </tr>
              <tr>
                <td>Steinige Last</td>
                <td>{{ fertilization_plan.parameters.soilStonyContent }} %</td>
              </tr>
              <tr>
                <td>Durchschnittliche Lufttemperatur</td>
                <td>{{ fertilization_plan.parameters.soilAverageAirTemperature }} °C</td>
              </tr>      
              <tr>
                <td>Dichte des Bodens</td>
                <td>{{ fertilization_plan.parameters.soilDensity }}</td>
              </tr>                                  
              <tr>
                <td>Tiefe der Ackerschicht</td>
                <td>{{ fertilization_plan.parameters.soilDepth }} cm</td>
              </tr>
              <tr>
                <td>Umrechnungsfaktor</td>
                <td>{{ fertilization_plan.parameters.soilConversionFactor }}</td>
              </tr>   
              <tr>
                <td>Mineralisierungskoeffizient (Km)</td>
                <td>{{ fertilization_plan.parameters.soilKm }}</td>
              </tr>   
              {% if not fertilization_plan.parameters.soilMineralizationPotential is none %}
              <tr>
                <td>Potenzial für Mineralisierung</td>
                <td>{{ fertilization_plan.parameters.soilMineralizationPotential }}</td>
              </tr>    
              {% endif %}                                         

              <tr>
                <td>Gab es eine Hauptkultur in der vorherigen Kampagne?</td>
                <td>{{ 'Ja' if fertilization_plan.parameters.previousCropExists else 'Keine' }}</td>
              </tr>
              {% if fertilization_plan.parameters.previousCropExists %}
                <tr>
                  <td>Anbauprofil des vorherigen Wirtschaftsjahres</td>
                  <td>{{ fertilization_plan.parameters.previousCropProfile.libelle_de }}</td>
                </tr>
                <tr>
                  <td>Bestimmung des oberirdischen Teils</td>
                  <td>{{ fertilization_plan.parameters.previousCropAerialPartDestination.libelle_part_de }}</td>
                </tr>
                {% if not fertilization_plan.parameters.previousCropTestSampleIncludesNitrogenEffect is none %}
                <tr>
                  <td>Wurde die Wirkung der Hauptvorfrucht auf die Stickstoffversorgung bereits bei der Bodenanalyse berücksichtigt?</td>
                  <td>{{ 'Ja' if fertilization_plan.parameters.previousCropTestSampleIncludesNitrogenEffect else 'Keine' }}</td>
                </tr>
                {% endif %}
              {% endif %}

              <tr>
                <td>Gab es eine Zwischenfrucht, bevor die Hauptfrucht angebaut wurde?</td>
                <td>{{ 'Ja' if fertilization_plan.parameters.intermediateCropExists else 'Keine' }}</td>
              </tr>
              {% if fertilization_plan.parameters.intermediateCropExists %}
                <tr>
                  <td>Profil der Zwischenfrucht</td>
                  <td>{{ fertilization_plan.parameters.intermediateCropProfile.libelle_de }}</td>
                </tr>
                <tr>
                  <td>Produktionsniveau</td>
                  <td>{{ fertilization_plan.parameters.intermediateCropProductionLevel.libelle_prod_de }}</td>
                </tr>
                {% if not fertilization_plan.parameters.intermediateCropTestSampleIncludesNitrogenEffect is none %}
                  <tr>
                    <td>Wurde die Wirkung der Zwischenfrucht auf die Stickstoffversorgung bereits bei der Bodenanalyse berücksichtigt?</td>
                    <td>{{ 'Ja' if fertilization_plan.parameters.intermediateCropTestSampleIncludesNitrogenEffect else 'Keine' }}</td>
                  </tr>
                {% endif %}
              {% endif %}

            <tr>
              <td>Gab es vor der Anlage der Haupt- oder Zwischenfrucht Grünland?</td>
              <td>{{ 'Ja' if fertilization_plan.parameters.intermediateCropHadMeadow else 'Keine' }}</td>
            </tr>
            {% if fertilization_plan.parameters.intermediateCropHadMeadow %}
              <tr>
                <td>Alter der Wiese</td>
                <td>{{ fertilization_plan.parameters.intermediateCropMeadowAge.libelle_de }}</td>
              </tr>
              <tr>
                <td>Zeitraum der Zerstörung der Wiese</td>
                <td>{{ fertilization_plan.parameters.intermediateCropMeadowDestructionSeason.libelle_de }}</td>
              </tr>
              <tr>
                <td>Rang der Wiese</td>
                <td>{{ fertilization_plan.parameters.intermediateCropMeadowRank.libelle_de }}</td>
              </tr>
            {% endif %}

            <tr>
              <td>Gab es Luzerne vor der Anlage der Hauptfrucht oder der Zwischenfrucht?</td>
              <td>{{ 'Ja' if fertilization_plan.parameters.intermediateCropHadLucerne else 'Keine' }}</td>
            </tr>
            {% if fertilization_plan.parameters.intermediateCropHadLucerne %}
              <tr>
                <td>Alter der Luzerne</td>
                <td>{{ fertilization_plan.parameters.intermediateCropLucerneAge.libelle_de }}</td>
              </tr>
              <tr>
                <td>Luzerne-Rang</td>
                <td>{{ fertilization_plan.parameters.intermediateCropLucerneRank.libelle_de }}</td>
              </tr>
            {% endif %}         
   
            <tr>
              <td>Häufigkeit der organischen Düngung in früheren Kampagnen</td>
              <td>{{ fertilization_plan.parameters.organicManureFrequency.frequence_de }}</td>
            </tr>
            {% for application in fertilization_plan.parameters.organicManureApplications %}
            <tr>
              <td>Zufuhr von organischem Dünger während der aktuellen Kampagne</td>
              <td>#{{ loop.index }}</td>
            </tr>
            <tr>
              <td>Tierkategorie</td>
              <td>{{ application.animalCategory.libelle_de }}</td>
            </tr>
            <tr>
              <td>Art des Abwassers</td>
              <td>{{ application.organicMatterType.type_eff_libelle_de }}</td>
            </tr>
            <tr>
              <td>Menge des Abwassers</td>
              <td>{{ application.effluentQuantity }} t/ha</td>
            </tr>
            <tr>
              <td>N-Gehalt des frischen Materials</td>
              <td>{{ application.nitrogenContent }} kg N/ha</td>
            </tr>        
            <tr>
              <td>Datum der Einbringung</td>
              <td>{{ application.applicationDate|datetimeformat("%Y-%m-%d", "%Y-%m-%dT%H:%M:%S.%f%z", "UTC") }}</td>
            </tr>                  
            {% endfor %}
            
            </table>
          </div>
        {% endif %}

        </div>
      {% endfor %}
    </div> 
  </body>
</html>
